# -*- coding: utf-8 -*-
# Generated by Django 1.11 on 2017-09-03 08:14
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('shipping', '0009_auto_20170827_1613'),
    ]

    operations = [
        migrations.CreateModel(
            name='ShippingTable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('column1_min', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 1 мин')),
                ('column1_max', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 1 макс')),
                ('column2_min', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 2 мин')),
                ('column2_max', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 2 макс')),
                ('column3_min', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 3 мин')),
                ('column3_max', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 3 макс')),
            ],
            options={
                'verbose_name_plural': 'доставка',
                'verbose_name': 'доставка',
            },
        ),
        migrations.CreateModel(
            name='ShippingTableRow',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024, verbose_name='название')),
                ('order_field', models.PositiveIntegerField(default=0, verbose_name='нажать и тащить')),
                ('column1', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 1')),
                ('column2', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 2')),
                ('column3', models.DecimalField(decimal_places=2, default=0, max_digits=11, verbose_name='колонка 3')),
                ('table', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='shipping.ShippingTable', verbose_name='таблица')),
            ],
            options={
                'verbose_name_plural': 'цена',
                'ordering': ['order_field'],
                'verbose_name': 'цена',
            },
        ),
        migrations.RemoveField(
            model_name='shippingrange',
            name='shipping_method',
        ),
        migrations.RemoveField(
            model_name='orderanditemcharges',
            name='territories',
        ),
        migrations.AddField(
            model_name='orderanditemcharges',
            name='use_shipping_table',
            field=models.BooleanField(default=False, verbose_name='использовать таблицу доставки'),
        ),
        migrations.DeleteModel(
            name='ShippingRange',
        ),
    ]
